### Method

# Gtk EntryCompletion set_match_func

#### Declaration [src]

    void
    gtk_entry_completion_set_match_func (
      GtkEntryCompletion* completion,
      GtkEntryCompletionMatchFunc func,
      gpointer func_data,
      GDestroyNotify func_notify
    )

#### Description [src]

Sets the match function for `completion` to be `func`.

The match function is used to determine if a row should or should not be in the completion list.

#### Parameters

`func` | `GtkEntryCompletionMatchFunc`
| The `GtkEntryCompletion`MatchFunc to use.
`func_data` | `gpointer`
| User data for `func`.
`func_notify` | `GDestroyNotify`
| Destroy notify for `func_data`.